Bug 1321853 - ps_mem: Provide a Python 3 subpackage
Summary: ps_mem: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ps_mem
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-03-29 09:24 UTC by Tomas Orsava
Modified: 2016-07-12 06:05 UTC (History)
5 users (show)

Fixed In Version: ps_mem-3.6-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 06:04:37 UTC


Attachments (Terms of Use)
Patch for ps_mem package specfile (1.66 KB, patch)
2016-06-08 06:21 UTC, Lumír Balhar
no flags Details | Diff
Patch for ps_mem package specfile (fixed changelog) (1.72 KB, patch)
2016-06-08 08:38 UTC, Lumír Balhar
no flags Details | Diff
Fixed bug in BR (1.09 KB, patch)
2016-07-11 12:40 UTC, Lumír Balhar
no flags Details | Diff

Description Tomas Orsava 2016-03-29 09:24:07 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-22 11:39:05 UTC
Hello Jaromír,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Lumír Balhar 2016-06-08 06:20:08 UTC
Hello.

I am gonna provide the patch for ps_mem specfile with new release and Python3 as main interpreter.

Please, could somebody review it and if it will be ok, use it.
Thanks, Lumir

Comment 3 Lumír Balhar 2016-06-08 06:21:21 UTC
Created attachment 1165838 [details]
Patch for ps_mem package specfile

Comment 4 Tomas Orsava 2016-06-08 08:17:28 UTC
Hi Lumir!

The patch looks good, just a tiny thing: Please add a note to the changelog that you switched to using Python 3. All changes of note should be contained in the changelog.

Have you tried building and installing the package ans using it (in mock or anywhere else)?

Comment 5 Lumír Balhar 2016-06-08 08:38:29 UTC
Created attachment 1165863 [details]
Patch for ps_mem package specfile (fixed changelog)

Hello.

I am providing new patch with fixed changelog.

I tested it with rpmbuild, rmplint, build in mock and installation in virtual machine with Fedora 24 and everything looks ok.

Have a nice day.
Lumir

Comment 6 Tomas Orsava 2016-06-08 09:06:24 UTC
Lumir: Looks good to me!

Comment 7 Tomas Orsava 2016-06-08 09:07:55 UTC
Hi Jaromir,
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you are unable.

Thank you!

Comment 8 Lumír Balhar 2016-07-11 12:39:50 UTC
Hello.

We found a bug in provided specfile - missing BuildRequires of python3-devel.

I will provide new patch for specfile in a moment.

Sorry for my mistake.
Lumir

Comment 9 Lumír Balhar 2016-07-11 12:40:52 UTC
Created attachment 1178391 [details]
Fixed bug in BR

Comment 10 Jaromír Cápík 2016-07-11 17:57:41 UTC
Ahoj Lubomire.

I'm gonna look at the patch and commit/push.

Comment 11 Lumír Balhar 2016-07-11 18:04:04 UTC
Ahoj Jaromíre.

Miro did it today.

http://koji.fedoraproject.org/koji/taskinfo?taskID=14859288

Comment 12 Jaromír Cápík 2016-07-11 18:23:57 UTC
Yup. Just noticed that.


Note You need to log in before you can comment on or make changes to this bug.